@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Mozilla SeaMonkey Cookies lschen
::
rem ----------------------------------------------------------------------
::	2008-03-27   support@putzi4win.de
::	2008-03-29   support@putzi4win.de   Korrektur fuer Installpfade mit Leerzeichen
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------
	set geckoDir=Mozilla\SeaMonkey
	set browser=Mozilla SeaMonkey
	set geckotools=%~dp0\tools\gecko_tools.bat

rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=%browser% Cookies lschen
	echo metaVERSION=1.1
	echo metaAUTHOR=Axel Hahn
	echo metaDESCRIPTION=lscht die Cookie-Datei des %browser%
	echo metaCATEGORY=Browser
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=Bitte vergewissern Sie sich, ob die Cookies wirklich gelscht werden sollen.

rem ----------------------------------------------------------------------
::	CHECKS
rem ----------------------------------------------------------------------
	if EXIST "%geckotools%" goto testmeta
	echo ERROR: Das Hilfsskript %geckotools% wurde nicht gefunden.
	exit

	:testmeta
	if "%1"=="/meta" goto end
	echo.



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	call "%geckotools%" %geckoDir% cookies
	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%

	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
